## libcharon 4.4.1

=== CMakeLists.txt ===
project(charon NONE)
cmake_minimum_required(VERSION 3.6) #Tested only with 3.6.1 and 3.9.1.

# FIXME: Remove the code for CMake <3.12 once we have switched over completely.
# FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs.
if(${CMAKE_VERSION} VERSION_LESS 3.12)
    # Use FindPythonInterp and FindPythonLibs for CMake <3.12
    find_package(PythonInterp 3.4 REQUIRED)

    set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
    set(Python3_VERSION_MAJOR ${PYTHON_VERSION_MAJOR})
    set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
else()
    # Use FindPython3 for CMake >=3.12
    find_package(Python3 3.4 REQUIRED COMPONENTS Interpreter)
endif()

option(INSTALL_SERVICE "Install the Charon DBus-service" ON)
option(INSTALL_CLIENT "Install the Charon Client library" ON)

if(EXISTS /etc/debian_version)
    set(CHARON_INSTALL_PATH lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}/dist-packages)
else()
    set(CHARON_INSTALL_PATH lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}/site-packages)
endif()

set(_excludes PATTERN __pycache__ EXCLUDE)
if(NOT INSTALL_SERVICE)
    set(_excludes ${_excludes} PATTERN "Service" EXCLUDE)
endif()
if(NOT INSTALL_CLIENT)
    set(_excludes ${_excludes} PATTERN "Client" EXCLUDE)
endif()

install(DIRECTORY Charon DESTINATION ${CHARON_INSTALL_PATH} ${_excludes})

if(INSTALL_SERVICE)
    install(FILES service/charon.service DESTINATION lib/systemd/system)
    install(FILES service/nl.ultimaker.charon.conf DESTINATION share/dbus-1/system.d)
endif()

include(CPackConfig.cmake)

####################Loading the unit tests.###################
enable_testing()

include(CMakeParseArguments)

if(NOT _PYTHONPATH)
    set(_PYTHONPATH ${CMAKE_SOURCE_DIR})
endif()
if(WIN32)
    string(REPLACE "|" "\\;" _PYTHONPATH ${_PYTHONPATH})
    set(_PYTHONPATH "${_PYTHONPATH}\\;$ENV{PYTHONPATH}")
else()
    string(REPLACE "|" ":" _PYTHONPATH ${_PYTHONPATH})
    set(_PYTHONPATH "${_PYTHONPATH}:$ENV{PYTHONPATH}")
endif()

add_test(
    NAME pytest-main
    COMMAND ${Python3_EXECUTABLE} -m pytest --junitxml=${CMAKE_BINARY_DIR}/junit-pytest-main.xml ${CMAKE_SOURCE_DIR}/tests
)
set_tests_properties(pytest-main PROPERTIES ENVIRONMENT LANG=C)
set_tests_properties(pytest-main PROPERTIES ENVIRONMENT "PYTHONPATH=${_PYTHONPATH}")

=== debian/changelog ===
libcharon (4.4.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Feb 2020 13:02:19 +0100

libcharon (4.4.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Jan 2020 13:53:43 +0100

=== debian/control ===
Source: libcharon
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders:
 Gregor Riepl <onitake@gmail.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake (>= 3.12),
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-coverage,
 python3-dbus,
 python3-gi,
 python3-pyqt5,
 python3-pytest,
Standards-Version: 4.5.0
Section: python
Homepage: https://github.com/Ultimaker/libCharon
Vcs-Browser: https://salsa.debian.org/3dprinting-team/libcharon
Vcs-Git: https://salsa.debian.org/3dprinting-team/libcharon.git

Package: python3-charon
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 python3-dbus,
 python3-gi,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
Description: file metadata and streaming library for cura
 This library will read and write several 3D-printing related file formats.
 It is used by cura, the GUI G-code generator for 3D printers.

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import Charon; print(Charon)" ; done
Depends:
 python3-all,
 @,

=== debian/watch ===
version=4
https://github.com/Ultimaker/libCharon/tags .*/archive/(\d\.\S+)\.tar\.gz

## libcharon 4.6.2

=== debian/changelog ===
libcharon (4.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 11:10:13 +0200

libcharon (4.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 22:07:42 +0100

## libcharon 4.8

=== debian/changelog ===
libcharon (4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * debian/watch: Handle -beta releases.
  * Mark autopkgtest as superficial. (Closes: #974461)

 -- Christoph Berg <myon@debian.org>  Fri, 13 Nov 2020 16:27:23 +0100

libcharon (4.7.1-1) unstable; urgency=medium

  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 22:35:03 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#DPKG_EXPORT_BUILDFLAGS = 1
#include /usr/share/dpkg/buildflags.mk

#export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/Ultimaker/libCharon/tags .*/archive/(\d\.\S+)\.tar\.gz

## libcharon 4.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
 else()
     # Use FindPython3 for CMake >=3.12
-    find_package(Python3 3.4 REQUIRED COMPONENTS Interpreter)
+    find_package(Python3 ${CURA_PYTHON_VERSION} EXACT REQUIRED COMPONENTS Interpreter)
 endif()
 
 option(INSTALL_SERVICE "Install the Charon DBus-service" ON)

=== debian/changelog ===
libcharon (4.13.0-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Fix systemd service path. Closes: #1034210

 -- Christoph Berg <myon@debian.org>  Tue, 18 Apr 2023 22:29:20 +0200

libcharon (4.13.0-1) unstable; urgency=medium

  * Fix GitHub watch file.
  * New upstream version 4.13.0.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:07:02 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Vcs-Git: https://salsa.debian.org/3dprinting-team/libcharon.git
 
 Package: python3-charon
-Section: python
 Architecture: all
 Multi-Arch: foreign
 Depends:

## libcharon 5.0.0

=== CMakeLists.txt ===
project(charon NONE)
cmake_minimum_required(VERSION 3.18)

if(NOT DEFINED Python_VERSION)
    set(Python_VERSION
            3.10
            CACHE STRING "Python Version" FORCE)
    message(STATUS "Setting Python version to ${Python_VERSION}. Set Python_VERSION if you want to compile against an other version.")
endif()
if(APPLE)
    set(Python_FIND_FRAMEWORK NEVER)
endif()
find_package(Python ${Python_VERSION} EXACT REQUIRED COMPONENTS Interpreter)
message(STATUS "Linking and building ${project_name} against Python ${Python_VERSION}")
if(NOT DEFINED Python_SITELIB_LOCAL)
    set(Python_SITELIB_LOCAL
            "${Python_SITELIB}"
            CACHE PATH "Local alternative site-package location to install Cura" FORCE)
endif()

option(INSTALL_SERVICE "Install the Charon DBus-service" ON)
option(INSTALL_CLIENT "Install the Charon Client library" ON)

install(DIRECTORY Charon DESTINATION "${Python_SITELIB_LOCAL}")

if(INSTALL_SERVICE)
    install(FILES service/charon.service DESTINATION lib/systemd/system)
    install(FILES service/nl.ultimaker.charon.conf DESTINATION share/dbus-1/system.d)
endif()

include(CPackConfig.cmake)

####################Loading the unit tests.###################
enable_testing()

include(CMakeParseArguments)

if(NOT _PYTHONPATH)
    set(_PYTHONPATH ${CMAKE_SOURCE_DIR})
endif()
if(WIN32)
    string(REPLACE "|" "\\;" _PYTHONPATH ${_PYTHONPATH})
    set(_PYTHONPATH "${_PYTHONPATH}\\;$ENV{PYTHONPATH}")
else()
    string(REPLACE "|" ":" _PYTHONPATH ${_PYTHONPATH})
    set(_PYTHONPATH "${_PYTHONPATH}:$ENV{PYTHONPATH}")
endif()

add_test(
    NAME pytest-main
    COMMAND ${Python_EXECUTABLE} -m pytest --junitxml=${CMAKE_BINARY_DIR}/junit-pytest-main.xml ${CMAKE_SOURCE_DIR}/tests
)
set_tests_properties(pytest-main PROPERTIES ENVIRONMENT LANG=C)
set_tests_properties(pytest-main PROPERTIES ENVIRONMENT "PYTHONPATH=${_PYTHONPATH}")

=== debian/changelog ===
libcharon (5.0.0-4) unstable; urgency=medium

  * Remove charon.service, it's only needed on Ultimaker hardware
    See: https://github.com/Ultimaker/libCharon/issues/45

 -- Gregor Riepl <onitake@gmail.com>  Tue, 25 Jul 2023 21:16:10 +0200

libcharon (5.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:33:03 +0000

libcharon (5.0.0-2) experimental; urgency=medium

  [ Gregor Riepl ]
  * Fix systemd service path. Closes: #1034210

 -- Christoph Berg <myon@debian.org>  Tue, 18 Apr 2023 22:26:02 +0200

libcharon (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.0.0

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 24 May 2022 09:56:01 -0600

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
  Gregor Riepl <onitake@gmail.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- cmake (>= 3.12),
+ cmake,
  debhelper-compat (= 12),
  dh-python,
  python3-all-dev,
  python3-coverage,
  python3-dbus,
  python3-gi,
- python3-pyqt5,
+ python3-pyqt6,
  python3-pytest,
 Standards-Version: 4.5.0
 Section: python
@@ -26,7 +26,7 @@
 Depends:
  python3-dbus,
  python3-gi,
- python3-pyqt5,
+ python3-pyqt6,
  ${misc:Depends},
  ${python3:Depends},
 Description: file metadata and streaming library for cura

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #DPKG_EXPORT_BUILDFLAGS = 1
 #include /usr/share/dpkg/buildflags.mk
 
-#export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
+export PYBUILD_CONFIGURE_ARGS=-DPYVER={version} -DINSTALL_SERVICE=OFF
 
 %:
 	dh $@ --buildsystem=pybuild --with python3

=== debian/tests/control ===
--- 
+++ 
@@ -2,3 +2,4 @@
 Depends:
  python3-all,
  @,
+Restrictions: superficial

=== debian/watch ===
version=4
opts=uversionmangle=s/-beta/~beta/ \
https://github.com/Ultimaker/libCharon/tags .*/(\d\.\S+)\.tar\.gz
